com_addref
com_event_sink
COM Functions
PHP Manual

# com_create_guid

Generate a globally unique identifier (GUID)

### Description

string com_create_guid ( void )

Generates a Globally Unique Identifier (GUID).

A GUID is generated in the same way as DCE UUID's, except that the Microsoft convention is to enclose a GUID in curly braces.

### Return Values

Returns the GUID as a string.

### See Also

- uuid_create in the PECL uuid extension